package com.nisum.inventory;


import com.nisum.inventory.service.InventoryService;
import org.apache.spark.sql.streaming.StreamingQueryException;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;

import java.util.concurrent.TimeoutException;

@SpringBootApplication
public class InventoryProcessApiApplication {

    public static void main(String[] args) throws TimeoutException, StreamingQueryException {

        new SpringApplicationBuilder(InventoryProcessApiApplication.class)
                .web(WebApplicationType.REACTIVE)
                .run(args);

        InventoryService inventoryService= new InventoryService();
        String topicName="test-inventory3";
        String batchId=inventoryService.readFromJsonAndPushToKafka(topicName);
        inventoryService.readFromKafkaTransformIntoMongoDB(batchId,topicName);



    }


}
